# Class Error

Class Error

Declaration :

- C++ : class Error : public std::exception

Directly inherited by : Config External Invalid Logic State

Artifact : error, Component(s) : CommonLib

Operation what

Declaration :

- Uml : + what() : const char*
- C++ : public: virtual const char* what () const

Operation rootCause

Declaration :

- Uml : + rootCause() : std::exception
- C++ : public: std::exception rootCause ()

If this exception was caused by a chain of further exceptions,
return the first one registered in this throw sequence.
This works only, if every exceptions thrown as a consequence
of another exception is propperly constructed by passing
the original exception to the constructor

Attribut cause

Declaration :

- Uml : - cause : std::exception
- C++ : private: std::exception cause

a copy of the first exception encountered in this exception chain

All public operations : rootCause , what , what